We will be releasing one more point release (0.10.x) followed by 1.0. While
the following reflects our current thinking, critical bugs may alter it
somewhat.

# 0.10

  - No breaking changes to the Gemfile are expected
  - We expect to modify the format of Gemfile.lock.
    - This should be the final change; it will not change for 1.0
    - The Gemfile.lock generated by 0.9 will continue to work until 1.0
    - If you use Bundler 0.10, we will transparently update the format
    - This means: you will not be able to upgrade a locked app
     directly from 0.9 to 1.0.
  - Bundler 0.10 will automatically generate Gemfile.lock when any
    resolve is successful.
  - bundle install will conservatively update Gemfile.lock from the
    last successful resolve if the Gemfile has been modified since
    the last use of bundler.
    - This means that adding a new gem to the Gemfile that does not
     conflict with existing gems will not force an update of other
     gems.
    - This also means that we will not force an update to previously
     resolved dependencies as long as they are compatible with some
     valid version of the new dependency.
    - When removing a gem, bundle install will simply remove it, without
     recalculating all dependencies.
  - We will be adding `bundle update` for the case where you -do-
    wish to re-resolve all dependencies and update everything to the
    latest version.
    - bundle update will also take a gem name, if you want to force
     an update to just a single gem (and its dependencies).
  - Add a way to install dependencies that require build options
  - Add a way to specify groups that are opt-in at install-time,
    rather than opt-out.
  - Some additional features that we have tagged for 0.10. For up
    to date information, please visit
    http://github.com/carlhuda/bundler/issues/labels/0.10

# 1.0

  - No breaking changes to the Gemfile are expected
  - No breaking changes to the Gemfile.lock are expected
  - No major changes to the workflow are expected
  - Reduce open bug count to 0
  - Some additional features that require more thought. For details,
    see http://github.com/carlhuda/bundler/issues/labels/1.0

# No Breaking changes

We expect no breaking changes of the Gemfile, Gemfile.lock, or
basic workflow for 1.x releases.